<nz-table #basicTable [nzData]="list" nzSize="small">
  <thead>
    <tr>
      <th>Item</th>
      <th>Reason</th>
      <th *ngIf="reportType === 'history'">Status</th>
      <th>Reporter</th>
      <th>Date</th>
      <th *ngIf="reportType === 'pending'">Actions</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of basicTable.data">
      <td>
        <a target="_blank" [routerLink]="['/', type.item2, data.entityId]">{{
          data.entityId
        }}</a>
      </td>
      <td>{{ data.reason }}</td>
      <td *ngIf="reportType === 'history'">{{ data.status }}</td>
      <td>
        <a [routerLink]="['/citizen', data.createdBy.id]" target="_blank">{{
          data.createdBy.name
        }}</a>
      </td>
      <td>{{ data.createdOn }}</td>
      <td *ngIf="reportType === 'pending'">
        <nz-button-group>
          <button
            nz-button
            nzShape="round"
            nzType="primary"
            nzSize="small"
            style="background-color: green; border-color: grey"
          >
            Accept
          </button>
          <button
            nz-button
            nzShape="round"
            nzType="primary"
            nzSize="small"
            style="background-color: red; border-color: grey"
          >
            Reject
          </button>
        </nz-button-group>
      </td>
    </tr>
  </tbody>
</nz-table>